import { HttpStatus, HttpException } from '@nestjs/common';
import { DepartamentoService } from './departamento.service';
import { Departamento } from './departamento.entity';
import { CreateDepartamentoDto } from './dto/create-departamento.dto';
import { UpdateDepartamentoDto } from './dto/update-departamento.dto';
export declare class DepartamentoController {
    private departamentoService;
    constructor(departamentoService: DepartamentoService);
    getDepartamentoAll(): Promise<{
        statusCode: HttpStatus;
        message: string;
        data: HttpException | {
            created_at: string;
            updated_at: string;
            provincia: {
                created_at: string;
                updated_at: string;
                id: number;
                codigo: string;
                nombre: string;
                deleted_at: Date;
                departamento_id: number;
                departamento: Departamento;
                distrito: import("../distrito/distrito.entity").Distrito[];
            }[];
            id: number;
            codigo: string;
            nombre: string;
            deleted_at: Date;
            pais_id: number;
            pais: import("../pais/pais.entity").Pais;
        }[];
    }>;
    getDepartamento(page: number, limit: number): Promise<{
        statusCode: HttpStatus;
        message: string;
        data: HttpException | {
            data: {
                created_at: string;
                updated_at: string;
                provincia: {
                    created_at: string;
                    updated_at: string;
                    id: number;
                    codigo: string;
                    nombre: string;
                    deleted_at: Date;
                    departamento_id: number;
                    departamento: Departamento;
                    distrito: import("../distrito/distrito.entity").Distrito[];
                }[];
                pais: {
                    created_at: string;
                    updated_at: string;
                    id: number;
                    nombre: string;
                    codigo_telefono: string;
                    deleted_at: Date;
                    departamento: Departamento[];
                };
                id: number;
                codigo: string;
                nombre: string;
                deleted_at: Date;
                pais_id: number;
            }[];
            meta: {
                total: number;
                page: number;
                limit: number;
                totalPages: number;
            };
        };
    }>;
    getUserSearch(page: number, limit: number, body: Record<string, any>): Promise<{
        data: HttpException | {
            data: {
                created_at: string;
                updated_at: string;
                provincia: {
                    created_at: string;
                    updated_at: string;
                    id: number;
                    codigo: string;
                    nombre: string;
                    deleted_at: Date;
                    departamento_id: number;
                    departamento: Departamento;
                    distrito: import("../distrito/distrito.entity").Distrito[];
                }[];
                pais: {
                    created_at: string;
                    updated_at: string;
                    id: number;
                    nombre: string;
                    codigo_telefono: string;
                    deleted_at: Date;
                    departamento: Departamento[];
                };
                id: number;
                codigo: string;
                nombre: string;
                deleted_at: Date;
                pais_id: number;
            }[];
            meta: {
                total: number;
                page: number;
                limit: number;
                totalPages: number;
            };
        };
    }>;
    getDepartamentoById(id: number): Promise<HttpException | {
        created_at: string;
        updated_at: string;
        provincia: {
            created_at: string;
            updated_at: string;
            id: number;
            codigo: string;
            nombre: string;
            deleted_at: Date;
            departamento_id: number;
            departamento: Departamento;
            distrito: import("../distrito/distrito.entity").Distrito[];
        }[];
        id: number;
        codigo: string;
        nombre: string;
        deleted_at: Date;
        pais_id: number;
        pais: import("../pais/pais.entity").Pais;
    }>;
    createDepartamento(newDepartamento: CreateDepartamentoDto): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            provincia: {
                created_at: string;
                updated_at: string;
                id: number;
                codigo: string;
                nombre: string;
                deleted_at: Date;
                departamento_id: number;
                departamento: Departamento;
                distrito: import("../distrito/distrito.entity").Distrito[];
            }[];
            pais: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                codigo_telefono: string;
                deleted_at: Date;
                departamento: Departamento[];
            };
            id: number;
            codigo: string;
            nombre: string;
            deleted_at: Date;
            pais_id: number;
        };
        status: HttpStatus;
        message: string;
    }>;
    updateDepartamento(id: number, departamento: UpdateDepartamentoDto): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            id: number;
            codigo: string;
            nombre: string;
            deleted_at: Date;
            pais_id: number;
            pais: import("../pais/pais.entity").Pais;
            provincia: import("../provincia/provincia.entity").Provincia[];
        };
        status: HttpStatus;
        message: string;
    }>;
    deleteDepartamento(id: number): Promise<HttpException | import("typeorm").UpdateResult>;
}
